﻿using System;
using System.Windows.Controls;

namespace CompositePatternHead.CompositeHead
{
    abstract class CanvasComponent
    {
        public int MarginLeft { get; set; }
        public int MarginTop { get; set; }
        public CanvasComponent ParentComponent { get; set; }
        public virtual void Add(CanvasComponent c)
        {
            Console.WriteLine($"A {this.ToString()} cannot store components.");
        }
        public virtual void Remove(CanvasComponent c)
        {
            Console.WriteLine($"A {this.ToString()} has no child components.");
        }
        public abstract Canvas DrawElements(Canvas theCanvas);
    }
}
