﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Rendezo;

namespace Pelda
{
	public class Ügyfél
	{
		IRendez Rendező;
		List<double> Adatok;

		public Ügyfél(IRendez R)
		{
			Rendező = R;
		}

		void Feltölt(int db)
		{
			Adatok=new List<double>();
			var r = new Random();
			for(var i=0;i<db;i++)
				Adatok.Add(r.NextDouble());
		}

		public void Kiír(List<Double> Számok )
		{
			foreach (var sz in Számok)
			  Console.Write("{0,5:F3}, ",sz);
			Console.WriteLine();
		}

		public void Munka()
		{
			Feltölt(10);
			Console.WriteLine("Az eredeti számsor:");
			Kiír(Adatok);
			var Növekvő = Rendező.Rendez(Adatok, true);
			Console.WriteLine("Növekvő sorba rendezve:");
			Kiír(Növekvő);
			var Csökkenő = Rendező.Rendez(Adatok, false);
			Console.WriteLine("Csökkenő sorba rendezve:");
            if(Adatok.Count==5)
			   Kiír(Csökkenő);
		}
	}
}
