﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Names
{
	public class Name
	{
		public string FirstName{ get; set;}
		public string LastName { get; set;}
	}

	public class ClassicStyle:Name
	{
		public ClassicStyle(string FullName)
		{
			var sa = FullName.Split(' ');
			LastName = sa[sa.Count()-1];
			FirstName = "";
			for (var i = 0; i < sa.Count()-1; i++)
			{
				FirstName += sa[i]+" ";
			}
		}
	}

	public class CommaStyle:Name
	{
		public CommaStyle(string FullName)
		{
			var sa = FullName.Split(',');
			FirstName = sa[1].Trim();
			LastName = sa[0].Trim();
		}
	}


}
