﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IteratorPattern
{
	class Program
	{
		static void Main(string[] args)
		{
			var Students=new StudentList();
			Students[0] = new Student { Id = 134, Name = "John Doe"};
			Students[1] = new Student { Id = 1246, Name = "Jane Doe" };
			Students[2] = new Student { Id = 11, Name = "Ape White" };
			Students[3] = new Student { Id = 2, Name = "Jalanda Small" };

			var It = Students.CreateIterator();
			It.SetCurrent(-1);
			while (!It.IsDone())
			{
				Console.WriteLine(It.Next());
			}
		}
	}
}
