﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IteratorPattern
{
	class StudentList : IMyList
	{
		private readonly List<Student> _items = new List<Student>();

		public IMyIterator CreateIterator()
		{
			return new MyIterator(this);
		}

		public int Count => _items.Count;

		public object this[int index]
		{
			get { return _items[index]; }
			set { _items.Insert(index, (Student)value); }
		}
	}
}
