﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Names
{
	public class NameFactory
	{
		public NameFactory(string FullName)
		{
			if (FullName.IndexOf(",") > -1)
				Name = new CommaStyle(FullName);
			else
				Name = new ClassicStyle(FullName);
		}

		public Name Name{	get; set;	}
	}
}
