﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MathLib;
namespace TestProject
{
    [TestClass]
    public class TestMath
    {
        [TestMethod]
        public void TestAddResult()
        {
            var er = Calculate.Add(1, 2);
            Assert.AreEqual(3,er);
        }
        
        [TestMethod]
        [ExpectedException(typeof(ArgumentException))]
        public void TestAddOverflowException()
        {
            var er = Calculate.Add(1, int.MaxValue);
        }
    }
}
